TTF_GetFontDirection(3)

NAME
TTF_GetFontDirection - Get the direction to be used for text shaping by a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Direction TTF_GetFontDirection(TTF_Font *font);

DESCRIPTION
This defaults to TTF_DIRECTION_INVALID
 if it hasn't been set.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
( TTF_Direction ) Returns the direction to be used for text shaping.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.